Skip to content
extensions / Commerce extension
POST/__runtime/cart/items

Create Cart Item

Adds a product and optional variant to the storefront cart and returns the updated cart.

POST

Authentication

Requirement
Required
Credential type
API key
Scopes
Not specified

Permissions

  • Requires an API key with an active connection to the target project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

Query Parameters

NameRequiredTypeDetails
project_idNointeger
Description: Target project identifier.

Request Body

Schema: CartItemAddRequest

FieldRequiredTypeDetails
product_idYesinteger
Description: Target product identifier.
variant_idNointeger
Description: Identifier for variant.
variant_skuNostring
Description: Text value.
variant_labelNostring
Description: Human-readable label.
variant_attributesNoJSON
Description: JSON object.
quantityNointeger
Description: Integer value.

Response Body

Example 200 response

json
{
  "cart_id": 1,
  "currency": "USD",
  "currency_symbol": "string",
  "subtotal": "string",
  "tax": "string",
  "total": 1,
  "count": 1,
  "items": [],
  "coupon_discount_total": "string",
  "coupons": []
}

Errors

500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified